# Run tests in check section
%bcond_without check

# https://github.com/tinylib/msgp
%global goipath         github.com/tinylib/msgp
Version:                1.1.0

%global common_description %{expand:
This is a code generation tool and serialization library for MessagePack.}

%gometa

Name:           %{goname}
Release:        0.1%{?dist}
Summary:        A Go code generator for MessagePack
# Detected licences
# - Expat License at 'LICENSE'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/philhofer/fwd)
BuildRequires: golang(github.com/ttacon/chalk)
BuildRequires: golang(golang.org/x/tools/imports)

%description
%{common_description}


%package -n msgp
Summary:       %{summary}

%description -n msgp
%{common_description}

This package contains the msgp binary.


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%build
%gobuildroot
%gobuild -o _bin/msgp .


%install
%goinstall

install -Dpm 0755 _bin/msgp %{buildroot}%{_bindir}/msgp


%if %{with check}
%check
export PATH=$PATH:%{buildroot}%{_bindir}
go generate ./msgp
go generate ./_generated
%gochecks
%endif


%files -n msgp
%license LICENSE
%{_bindir}/msgp


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Sun Mar 03 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.0-1
- First package for Fedora

